> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create (or reactivate) a brand



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/brands
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/brands:
    post:
      tags:
        - Brands
      summary: Create (or reactivate) a brand
      operationId: create_brand
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                domain:
                  type: string
                regions:
                  type: array
                  items:
                    type: string
                    format: uuid
                  nullable: true
                region_id:
                  type: string
                  format: uuid
                  nullable: true
                is_pitch:
                  type: boolean
                async_create_tasks:
                  type: boolean
              required:
                - name
                - domain
      responses:
        '200':
          description: brand created — reactivates an existing (non-active) same-name brand
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      brand_id:
                        type: string
                        format: uuid
                    required:
                      - brand_id
                required:
                  - data
        '422':
          description: pitch brand without the pitch feature
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: array
              items:
                $ref: '#/components/schemas/error_detail'
          required:
            - code
            - message
      required:
        - error
    error_detail:
      type: object
      properties:
        field:
          type: string
          nullable: true
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
        - field
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````